--- title: "updateTableTag" slug: "analytics-datacatalog-table-updatetabletag" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/analytics-datacatalog-table-updatetabletag" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # updateTableTag Available in VPC Edit tags in a table. All existing tags will be replaced with the list of tags provided in the request body. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | PUT | /api/v1/catalogs/{catalogId}/databases/{databaseName}/tables/{tableName}/tag | ### Request headers For information about the headers common to all Data Catalog APIs, see [Data Catalog request headers](/docs/en/analytics-datacatalog#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `catalogId` | Integer | Required | Catalog ID - See [getCatalogs](/docs/en/analytics-datacatalog-catalog-getcatalogs). | | `databaseName` | String | Required | Database name - See [getDatabase](/docs/en/analytics-datacatalog-database-getdatabase). | | `tableName` | String | Required | Table name - See [getTable](/docs/en/analytics-datacatalog-table-gettable). | ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKeyTypeValueList` | Array | Optional | Tag list: [tagKeyTypeValueList](/docs/en/analytics-datacatalog-table-updatetabletag#tagKeyTypeValueList) - Replace all tags with the provided list. - Delete all tags if an empty array (`[]`) is provided. - Keep tags unchanged if the field is omitted (`null`). | #### `tagKeyTypeValueList` The following describes `tagKeyTypeValueList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `tagKey` | String | Required | Tag key - 1-64 characters | | `tagType` | String | Required | Tag type - `STRING` \| `DOUBLE` \| `BOOLEAN` \| `DATETIME` | | `tagValue` | String | Required | Tag value - 1-256 characters | ### Request example The request example is as follows: ``` curl --location --request PUT 'https://datacatalog.apigw.ntruss.com/api/v1/catalogs/4**/databases/mydatabase/tables/mytable/tag' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "tagKeyTypeValueList": [ { "tagKey": "owner", "tagType": "STRING", "tagValue": "data-team" }, { "tagKey": "pii", "tagType": "BOOLEAN", "tagValue": "true" } ] }' ``` ## Response This section describes the response format. ### Response body If successful, it returns `204 No Content` without a body. ### Response status codes For information about the HTTP status codes common to all Data Catalog APIs, see [Data Catalog response status codes](/docs/en/analytics-datacatalog#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). | HTTP Status | Description | | --- | --- | | 204 | No Content (modification successful) |